# Class Signage#setTileInfo

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#setTileInfo(successCallback, errorCallback, options) Sets tile mode.

## Class Detail

Signage#setTileInfo(successCallback, errorCallback, options)

Sets tile mode. Tile mode is used for multi-monitor display.

    function setTileInfo() {
       var options = {
         tileInfo: {
            enabled: true,
            row : 2,
            column : 2,
            tileId: 2,
            naturalMode : true
         }
       };

       var successCb = function (){
         console.log("Tile Info successfully Set");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.setTileInfo(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options
  parameter list.
{Object} options.tileInfo
  TileInfo Object for setting. Only attributes that exist will be set.

  Property | Type | Description | Required
  --- | --- | --- | ---
  enabled | Boolean | Enable/disable Tile Mode | optional
  row | Number | Number of rows (1~15) | optional
  column | Number | Number of columns (1~15) | optional
  tileId | Number | The ID for this monitor. It will start to count from 1, left to right and top to bottom (1~Rows x Columns) | optional
  naturalMode | Boolean | Enable/disable Natural mode, which will adjust image based on the bezel size | optional

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText.